@extends('adminlte::layouts.auth')

@section('htmlheader_title')
	Password reset
@endsection

@section('content')
<body class="hold-transition login-page">
	<div id="app" v-cloak>
		<div class="login-box">
			<div class="login-logo">
				<a href="{{ url('/home') }}">{!! config('app.name_html_long') !!}</a>
			</div><!-- /.login-logo -->

			@if (session('status'))
				<div class="alert alert-success">
					{{ session('status') }}
				</div>
			@endif

			@if (count($errors) > 0)
				<div class="alert alert-danger">
					<strong>Whoops!</strong> {{ trans('adminlte_lang::message.someproblems') }}<br><br>
					<ul>
						@foreach ($errors->all() as $error)
							<li>{{ $error }}</li>
						@endforeach
					</ul>
				</div>
			@endif

			<div class="login-box-body">
				<p class="login-box-msg">{{ trans('adminlte_lang::message.passwordreset') }}</p>

				<reset-password-form token="{{ $token }}">></reset-password-form>

				<a href="{{ url('/login') }}">Log in</a><br>
				<a href="{{ url('/register') }}" class="text-center">{{ trans('adminlte_lang::message.register') }}</a>
			</div><!-- /.login-box-body -->

		</div><!-- /.login-box -->
	</div>

	@include('adminlte::layouts.partials.scripts_auth')
</body>
@endsection